%def_disable macros

Summary: The set of prerequisites for any Window Manager.
Name: wm-common
Version: 1.0
Release: alt0.4
License: GPL2+ or Artistic
Group: Graphical desktop/Other
Packager: Igor Vlasenko <viy@altlinux.ru>
URL: http://wiki.altlinux.org/WMPackagingPolicy
BuildArch: noarch

Source: %name-%version.tar

BuildRequires: desktop-file-utils menu 
#xinitrc

# they are auto-added anyway, but we declare them (pre)
# is it needed at all?
Requires(pre): menu desktop-file-utils 
# due to %_update_wms_bin
Requires(pre): xinitrc

%description
wm-common is the set of default AltLinux prerequisites 
for any Window Manager. It includes dependecies for menu, 
desktop database and window manager management. 

The key is that packages that has wm-specific resources such as
icons or .desktop files should nether require corresponding 
utilities such as menu or desktop-file-utils, nor call them in 
their %%post/%%postun scripts. 

Instead, the packages that are capable to utilize those resources
(namely, Window Managers and Desktop Environments) should have
a single requirement to wm-common and a single call to 
update_wm/clean_wm in their %%post/%%postun scripts. 

%if_enabled macros
%package  -n rpm-macros-wm-common
Summary: wm-common %%_update_wm/%%clean_wm macros.
Group: Graphical desktop/Other

%description  -n rpm-macros-wm-common
wm-common is the set of default AltLinux prerequisites 
for any Window Manager. It includes dependecies for menu, 
desktop database and window manager management. 

This package declares %%_update_wm/%%clean_wm macros.
%endif

%prep
%setup -q

%build
cat > update_wm <<'EOF'
#!/bin/sh
[ -x %_update_wms_bin ] && %_update_wms_bin ||:
[ -x %_update_menus_bin ] && %_update_menus_bin ||:
[ -x %_update_desktopdb_bin ] && %_update_desktopdb_bin -q ||:
EOF

touch clean_wm

%install
install -d $RPM_BUILD_ROOT%_sbindir/
install -m 755 ./update_wm $RPM_BUILD_ROOT%_sbindir/update_wm
#install -m 755 ./clean_wm $RPM_BUILD_ROOT%_sbindir/clean_wm

%if_enabled macros
install -d $RPM_BUILD_ROOT%_sysconfdir/rpm/macros.d/
install -m 644 wm-common.macros $RPM_BUILD_ROOT%_sysconfdir/rpm/macros.d/wm-common
%endif

%files 
%_sbindir/update_wm
# still empty... is it needed?
#_sbindir/clean_wm

%if_enabled macros
%files -n rpm-macros-wm-common
%_sysconfdir/rpm/macros.d/wm-common
%endif

%changelog
* Sat Sep 13 2008 Igor Vlasenko <viy@altlinux.ru> 1.0-alt0.4
- initial build for Daedalus
